API ReferenceCommunications
Get details for a specific communication
Get details for a specific communication including stats
x-api-key<token>
Project-scoped API key. Keys carry either the ADMIN or TENANT role; a route additionally requires that the key's role is listed in its x-required-roles. Machine-to-machine callers should use this.
In: header
Path Parameters
communicationId*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/communications/string"{ "communicationId": "string", "tenantId": "string", "projectId": "string", "name": "string", "campaignId": "string", "status": "active", "firstMessageAt": 0, "lastMessageAt": 0, "createdAt": 0, "updatedAt": 0, "stats": { "smsCount": 0, "smsCost": 0, "smsDeliveredCount": 0, "smsFailedCount": 0, "smsBlockedCount": 0 }}